Subject: bug#29261: closed (Re: bug#29261: Save/restore dates does not work properly)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Dec 2022 05:53:02 +0000

Your bug report

#29261: Save/restore dates does not work properly

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29261: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29261
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29261: Save/restore dates does not work properly
From: Paul Eggert <[email-masked]>
To: Antonio Sidinei Schug <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Dec 2022 21:52:33 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/11/17 15:19, Paul Eggert wrote:
>
> Can you reproduce the problem with the current version?

No further comment in five years, so closing this old bug report.

Subject: Save/restore dates does not work properly
From: Antonio Sidinei Schug <[email-masked]>
To: [email-masked]
Date: Sat, 11 Nov 2017 19:08:21 -0200
List-Id: <debbugs-submit.debbugs.gnu.org>

gzip version 1.3.12(Windows) and probaly others too, does not save /
restore file timestamp correctly(Always set to current.
Linux versions, when saving to a local file system, resoter/save correctly,
but if it is a mounted remote filesystem like CIFS in my case, does not.
After a change in the source code that I made,  all Works OK.
The bug is, if copy_stat (&istat) is executed before I close ofd(file
descriptor of a file being saved/restored), those times are not set
properly.
Bu if I put copy_stat after file descriptor(ofd) is closed, and set it ofd
= -1, then, they are all ok

Best regards

Antonio Sidinei Schug